Bug 2055561 (CVE-2022-0622) - CVE-2022-0622 python-snipeit: sensitive data exposure in Packagist snipe/snipe-it
Summary: CVE-2022-0622 python-snipeit: sensitive data exposure in Packagist snipe/snip...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2022-0622
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2055563 2055562
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-02-17 08:55 UTC by Avinash Hanwate
Modified: 2022-03-08 20:23 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-03-02 20:19:40 UTC


Attachments (Terms of Use)

Description Avinash Hanwate 2022-02-17 08:55:31 UTC
Generation of Error Message Containing Sensitive Information in Packagist snipe/snipe-it prior to 5.3.11.

https://huntr.dev/bounties/4ed99dab-5319-4b6b-919a-84a9acd0061a
https://github.com/snipe/snipe-it/commit/178e44095141ab805c282f563fb088df1a10b2e2

Comment 1 Avinash Hanwate 2022-02-17 08:55:55 UTC
Created python-snipeit tracking bugs for this issue:

Affects: epel-all [bug 2055562]
Affects: fedora-all [bug 2055563]

Comment 2 Product Security DevOps Team 2022-03-02 20:19:38 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.

Comment 3 Raphael Groner 2022-03-08 20:10:05 UTC
What does 5.3.11 mean? There's no upstream release available for python-snipeit with that specific version.

Comment 4 Raphael Groner 2022-03-08 20:23:11 UTC
(In reply to Raphael Groner from comment #3)
> What does 5.3.11 mean? There's no upstream release available for
> python-snipeit with that specific version.

Ah no. There's definitely new upstream version available. Sorry for confusion.


Note You need to log in before you can comment on or make changes to this bug.